`getmode`<-function(li) {
	n<-length(li)
	freqs<-rep(1,n)
	for(i in 1:(n-1)) {
		for( j in (i+1):n) {
			if(freqs[j]!=0) {
				if ( identical(li[i],li[j]) ) {
					freqs[i] = freqs[i]+1
					freqs[j] = 0
				}
			}
		}
	}
	return(which(freqs==max(freqs)))
}

`plotTop` <- function(li,top=4) {
	n<-length(li)
	freqs<-rep(1,n)
	for(i in 1:(n-1)) {
		for( j in (i+1):n) {
			if(freqs[j]!=0) {
				if ( identical(li[i],li[j]) ) {
					freqs[i] = freqs[i]+1
					freqs[j] = 0
				}
			}
		}
	}
	par(mfrow=c(1,top+1))
	for( i in (1:top) ) {
		image(li[rev(order(freqs))[i]][[1]],main=paste("post:",freqs[rev(order(freqs))[i]]/length(li)))
	}
	plot(freqs[rev(order(freqs))[1:25]]/length(li))
}

`marginal`<-function(li) {
	s<-matrix(0,nrow=dim(li[[1]])[1],ncol=dim(li[[1]])[2])
	n<-length(li)
	for(i in 1:n) {
		s<-s+li[[i]]
	}
	return(s/n)
}

